sc::MolFreqAnimate Class Reference
Inheritance diagram for sc::MolFreqAnimate:
[legend]
Collaboration diagram for sc::MolFreqAnimate:
[legend]

## Public Member Functions

| MolFreqAnimate (const Ref< KeyVal > &)
void | set_mode (int i, int j)
int | nobject ()
Ref< RenderedObject > | object (int iobject)
Public Member Functions inherited from sc::AnimatedObject
| AnimatedObject (const Ref< KeyVal > &)
const char * | name () const
void | set_name (const char *name)
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)
Protected Attributes inherited from sc::AnimatedObject
char * | name_

The documentation for this class was generated from the following file:

- molfreq.h